DirectX Runtime Error

Hey guys! I’m having a problem launching Garry’s Mod. When I click play, it tells me that my DirectX Runtime is out of date, and links me to a page to download it. I download it, and it immediately tells me that there’s been an internal error and to look in my DirectXLog Files, which don’t even exist. I’ve tried launch options, and everything I’m able to. I’ve also checked that I have DirectX 11, the latest update. Though in Steam, it thinks I still have DirectX 8. Thanks in advance!

[editline]21st September 2013[/editline]

Source engine doesnt support +DX10

But if the persons gpu is dx+10 then it can run all versions below 10

Well directx is able to be installed/uninstalled so he can use DX 10/9/8.1

Try installing this.